//skybox from an old map, I found it in my 2.3 zpak

textures/aadel_christmas/arctic2_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 10 180 60
	q3map_surfacelight 50
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/aadel_christmas/arcn2 256 -
}

//everyone likes a blood handprint :D
textures/aadel_christmas/print
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/aadel_christmas/print.tga //name it .tga even if it isn't
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}


//man-hole decal thanks CodeMadeFlesh <3
textures/aadel_christmas/a_brunn1
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/aadel_christmas/a_brunn1.tga
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}

// a dirty mirror thanks to CodeMadeFlesh for this one again :)
textures/aadel_christmas/del_mirror08
{
	nopicmip
	qer_editorimage textures/aadel_christmas/del_mirror08.tga
	surfaceparm nolightmap
	portal
	{
		map textures/aadel_christmas/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
    {
        map textures/aadel_christmas/del_mirror08.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }

}

// Dark grey metal

textures/aadel_christmas/del_metalz
{ 
   qer_editorimage textures/aadel_christmas/del_metalz.tga
	{ 
	   //base coat
      map textures/aadel_christmas/del_metalz.tga
	} 
	  
	{
	   //small airbrushed white dot on a black square
      map textures/aadel_christmas/del_metalz2.jpg
      tcgen environment
	   blendFunc add
   }
	
   { 
	   //Alpha of base texture is used to mask the specular out
      //we use invertex alpha so fogging still works, meaning black= shiney
      map textures/aadel_christmas/del_metalz.tga
	   blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   } 
 
   {  //lightmap 
     	map $lightmap 
      blendFunc GL_DST_COLOR GL_ZERO 
	tcgen lightmap 
   } 
}

//custom hint
textures/aadel_christmas/hint 
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

//glass with a shiney face ;)
textures/aadel_christmas/1525
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm nonsolid
			surfaceparm glass

                      cull disable
                      {
                      map textures/aadel_christmas/zomg123.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }

//my fence which I took from a map made by Dragonne
textures/aadel_christmas/darkfence
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/aadel_christmas/darkfence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//this is my terrain blending, help from keres
textures/aadel_christmas/snowterrain
{
        qer_editorimage textures/aadel_christmas/snowterrain.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/aadel_christmas/snow1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/aadel_christmas/snow2.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//this was ment to be an Ice texture, but i diddnt end up using it :P
textures/aadel_christmas/snowy2
                      {
                      qer_trans .8
                      surfaceparm trans
			surfaceparm glass
			surfaceparm nodamage
			surfaceparm slick
			

                      cull disable
                      {
                      map textures/aadel_christmas/shadow2.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }



//the little icicles that you see off the edge of the building, yea this iz them :]
textures/aadel_christmas/del_icicles
{
	surfaceparm metalsteps 
	cull none
	{
	map textures/aadel_christmas/del_icicles.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	rgbGen identity
	}
}

//this is the curtain which I got from TRaK's map ut4_asylum
textures/aadel_christmas/theater3
{
	qer_editorimage textures/aadel_christmas/theater3.tga
	q3map_backShader textures/aadel_christmas/theater3_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/aadel_christmas/theater3.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

//a carry on from above
textures/aadel_christmas/theater3_back 
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/aadel_christmas/theater3.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}


//this is the rust decal which I got from TRaK's map ut4_asylum
textures/aadel_christmas/babel-ruststain3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/aadel_christmas/babel-ruststain3.tga
		blendfunc filter
	}
}


//this is the ground crack decal which I got from TRaK's map ut4_asylum
textures/aadel_christmas/decal_cracks
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/aadel_christmas/decal_cracks.tga
		blendfunc filter
	}
}

//this is the dirt decal which I got from TRaK's map ut4_asylum
textures/aadel_christmas/decal_dirt
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/aadel_christmas/decal_dirt.tga
		blendfunc filter
	}
}

//this is the dirt decal which I got from TRaK's map ut4_asylum
textures/aadel_christmas/decal_dirt2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/aadel_christmas/decal_dirt2.tga
		blendfunc filter
	}
}

//this is the dirt decal which I got from TRaK's map ut4_asylum
textures/aadel_christmas/decal_dirt3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/aadel_christmas/decal_dirt3.tga
		blendfunc filter
	}
}

//this is a metal rail decal which Im not sure where I got, But thanks who ever I got it from
textures/aadel_christmas/del_metalrail
{
	qer_editorimage textures/aadel_christmas/del_metalrail.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/aadel_christmas/del_metalrail.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}

}

//Thanks again, I got this from the same person above
textures/aadel_christmas/r_whiterail1_256
{
	qer_editorimage textures/aadel_christmas/r_whiterail1_256.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks	
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/aadel_christmas/r_whiterail1_256.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//this is a water texture I made, with the script from BBQ
textures/aadel_christmas/del_water
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	cull none
	{
		map textures/aadel_christmas/del_water
                tcMod Scroll .5 4
                blendFunc GL_ONE GL_ONE
        }
}


//this decal is from a map that Dragonne made
textures/aadel_christmas/fs_gate3c
{
        qer_editorimage textures/aadel_christmas/fs_gate3c.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/aadel_christmas/fs_gate3c.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//again not sure where i got this from, but im not sure if I used it even lol.
textures/aadel_christmas/del_fanblade
{
        qer_editorimage textures/aadel_christmas/del_fanblade.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/aadel_christmas/del_fanblade.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//laddercilp
textures/aadel_christmas/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/aadel_christmas/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}
